summaryrefslogtreecommitdiff
path: root/Master/tlpkg
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2023-04-19 22:12:53 +0000
committerKarl Berry <karl@freefriends.org>2023-04-19 22:12:53 +0000
commit5517780f3e44a9f9d1b32dc2b784a39a85c792bd (patch)
tree081bdd901adb946c02169742b80065217fc1cf30 /Master/tlpkg
parentf36319edf24486be59b9d798eed1425334fc369f (diff)
guard against tl-update-ctan-mirrors not finding
any valid mirrors, as happened last night. git-svn-id: svn://tug.org/texlive/trunk@66898 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-auto9
1 files changed, 6 insertions, 3 deletions
diff --git a/Master/tlpkg/bin/tl-update-auto b/Master/tlpkg/bin/tl-update-auto
index f75902a412b..b95efb643d7 100755
--- a/Master/tlpkg/bin/tl-update-auto
+++ b/Master/tlpkg/bin/tl-update-auto
@@ -261,9 +261,12 @@ if $config_scripts_only; then :; else
ls -l $mirrors4tl >&2
elif wget --quiet https://ctan.org/tex-archive/CTAN.sites -O $ctan_mirrors \
- && rsync rsync://comedy.dante.de/MirMon/mirmon.state $ctan_mirmon; then
- $mydir/tl-update-ctan-mirrors -v $ctan_mirrors $ctan_mirmon >$mirrors4tl.new
- if $diff $mirrors4tl $mirrors4tl.new; then
+ && rsync rsync://rsync.dante.ctan.org/MirMon/mirmon.state $ctan_mirmon; then
+ $mydir/tl-update-ctan-mirrors -v $ctan_mirrors $ctan_mirmon \
+ >$mirrors4tl.new
+ if test $? -ne 0 || test ! -s $mirrors4tl.new; then
+ echo "$0: tl-update-ctan-mirrors apparently failed, skipping." >&2
+ elif $diff $mirrors4tl $mirrors4tl.new; then
$verbose " $mirrors4tl ok."
rm -f $mirrors4tl.new
else